* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Titillium Web', sans-serif;
}

body {
    background-image: url('../../res/img/join/process.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    position: relative;
}

body::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(18, 35, 72, 0.6), rgba(18, 35, 72, 0.6));
    z-index: -1;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.animate-on-scroll {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.animate-on-scroll.active {
    opacity: 1;
    transform: translateY(0);
}


.req_1 hr {
    background-color: #cda757;
    height: 4px;
    width: 400px;
    border: none;
    margin: 10px auto;
    display: block;
    border-radius: 3px;
    margin-top: -10px;
}

h1 {
    font-family: 'Bree Serif', serif;
    font-size: 2rem;
    color: white;
    text-align: center;
    margin-bottom: 5px;
}

/*req*/
#requirements1 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    animation: fadeIn 1s ease-in forwards 0.5s;
}

#req_left {
    width: 50%;
    text-align: left;
}

#req_right {
    width: 45%;
    display: flex;
    justify-content: flex-end;
}

#req_right img {
    max-width: 100%;
    height: auto;
}

#list1 {
    font-size: 17px;
}

#list2 {
    font-size: 13px;
    margin-left: 13px;
}

.buttons_req {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

#btn_req {
    text-decoration: none;
    padding: 10px 60px;
    background-color: transparent;
    color: white;
    border: 2px solid white;
    border-radius: 4px;
    transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    display: inline-block;
}

#btn_req:hover {
    background-color: transparent;
    color: #cda757;
    border: 2px solid #cda757;
    transform: scale(1.05);
}

#min_reqs {
    scroll-margin-top: 160px;
    animation: fadeInUp 1s ease-in-out;
}

/*min reqs*/
#min_reqs1 {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    margin-bottom: 30px;
    animation: fadeInUp 1s ease-in-out;
}

.requirement {
    display: flex;
    align-items: center;
    background: rgba(255, 255, 255, 0.7);
    padding: 20px;
    border-radius: 3px;
    width: 500px;
    color: #122348;
    justify-content: space-between;
    animation: fadeInUp 1s ease-in-out;
}

.requirement img {
    width: 150px;
    height: auto;
    border-radius: 2px;
}

.left {
    flex: 1;
    text-align: left;
}

.right {
    flex: 1;
    text-align: left;
}

.right h2 {
    font-family: 'Bree Serif', serif;
}

.requirement:hover {
    transform: translateY(-7px);
    box-shadow: 0px 10px 20px rgba(205, 168, 87, 0.8);
}


/* Mobile Layout */
@media (max-width: 768px) {

    #requirements1 {
        flex-direction: column;
        text-align: center;
        gap: 25px;
    }

    #req_left {
        order: 2;
        /* text appears below image */
        width: 100%;
    }

    #req_right {
        order: 1;
        width: 100%;
    }

    #req_right img {
        width: 90%;
        max-width: 350px;
        height: auto;
    }

    #list1 {
        text-align: left;
        padding-left: 20px;
        font-size: 14px;
        line-height: 1.6;
    }

    .buttons_req {
        margin-top: 20px;
    }

    #btn_req {
        display: inline-block;
        padding: 10px 20px;
        font-size: 14px;
    }
}

/*medical disqualifications*/
#med_disq1,
#med_disq2 {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 50px;
    animation: fadeInUp 1s ease-in-out;
}


.disqualifications-card {
    flex: 1;
}

.disqualifications-card {
    background-color: rgba(255, 255, 255, 0.8);
    color: #122348;
    padding: 30px;
    width: 30%;
    border-radius: 10px;
    box-shadow: 2px 4px 10px rgba(0, 0, 0, 0.2);
    text-align: center;
    animation: fadeInUp 1s ease-in-out;
}

.disqualifications-card:hover {
    transform: translateY(-7px);
    box-shadow: 0px 10px 20px rgba(205, 168, 87, 0.8);
}

.disqualifications-card h2 {
    font-size: 29px;
    margin-bottom: 5px;
    line-height: 1;
}

.disqualifications-card p {
    margin-top: 10px;
    font-size: 18px;
    line-height: 1.5;
    align-items: center;
    text-align: justify;
}

.disqualifications-card ul {
    text-align: justify;
    padding: 20px;
    font-size: 18px;
    line-height: 1.5;
}

.disqualifications-card img {
    width: 120px;
    height: auto;
}

.img_disq {
    height: 150px;
    width: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
}

/* Mobile Devices */
@media (max-width: 768px) {

    #med_disq1,
    #med_disq2 {
        flex-direction: column;
        align-items: center;
    }

    .disqualifications-card {
        width: 100%;
        max-width: 400px;
        margin-bottom: 20px;
        text-align: center;
    }

    .img_disq img {
        width: 80px;
        height: auto;
    }

    .disqualifications-card p {
        font-size: 14px;
        line-height: 1.5;
        padding: 0 10px;
    }
}

.checklist-table {
    display: flex;
    flex-direction: column;
    margin-top: 3rem;
    background-color: rgba(255, 255, 255, 0.8);
    color: #122348;
    border-radius: 10px;
    box-shadow: 2px 4px 10px rgba(0, 0, 0, 0.2);
}

.checklist-row {
    display: grid;
    grid-template-columns: 1fr 1fr;
    border-bottom: 2px solid #122348;
}

.checklist-header {
    background: #122348;
    color: white;
    font-weight: 700;
    text-align: center;
}

.checklist-col {
    padding: 1.2rem;
    line-height: 1.2;
}

.checklist-col a {
    color: #caa44d;
    text-decoration: none;
}

.checklist-col a:hover {
    text-decoration: underline;
}

.checklist-note {
    margin-top: 2rem;
}

.checklist-note ul {
    margin-left: 1.5rem;
}

/* Responsive */
@media (max-width: 768px) {
    .checklist-row {
        grid-template-columns: 1fr;
    }

    .checklist-header {
        display: none;
    }
}

/* MERGED ROW */
.checklist-merged {
    grid-template-columns: 1fr;
    background: #122348;
    color: white;
    text-align: center;
}

.checklist-merged ul {
    margin-top: 1rem;
    margin-left: 1.5rem;
}

#requirements2 {
    display: block;
    align-items: center;
    margin: 0 auto;
    animation: fadeIn 1s ease-in forwards 0.5s;
    padding: 2% 5%;
}
